org.eclnt.jsfserver.elements.componentnodes

## Class UI5_ICONNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5_ICONNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5_ICONNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5_ICONNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5_ICONNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5_ICONNode` | `bindActivebackgroundcolor(IDynamicContentBindingObject value)`
    `UI5_ICONNode` | `bindActivecolor(IDynamicContentBindingObject value)`
    `UI5_ICONNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5_ICONNode` | `bindBackgroundcolor(IDynamicContentBindingObject value)`
    `UI5_ICONNode` | `bindColor(IDynamicContentBindingObject value)`
    `UI5_ICONNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5_ICONNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5_ICONNode` | `bindDecorative(IDynamicContentBindingObject value)`
    `UI5_ICONNode` | `bindHeight(IDynamicContentBindingObject value)`
    `UI5_ICONNode` | `bindHoverbackgroundcolor(IDynamicContentBindingObject value)`
    `UI5_ICONNode` | `bindHovercolor(IDynamicContentBindingObject value)`
    `UI5_ICONNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5_ICONNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5_ICONNode` | `bindSize(IDynamicContentBindingObject value)`
    `UI5_ICONNode` | `bindSrc(IDynamicContentBindingObject value)`
    `UI5_ICONNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5_ICONNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5_ICONNode` | `bindWidth(IDynamicContentBindingObject value)`
    `UI5_ICONNode` | `setActionListener(java.lang.String value)`
    `UI5_ICONNode` | `setActivebackgroundcolor(java.lang.String value)`
    `UI5_ICONNode` | `setActivecolor(java.lang.String value)`
    `UI5_ICONNode` | `setAdapterbinding(java.lang.String value)`
    `UI5_ICONNode` | `setAttributemacro(java.lang.String value)`
    `UI5_ICONNode` | `setBackgroundcolor(java.lang.String value)`
    `UI5_ICONNode` | `setColor(java.lang.String value)`
    `UI5_ICONNode` | `setComment(java.lang.String value)`
    `UI5_ICONNode` | `setConfiginfo(java.lang.String value)`
    `UI5_ICONNode` | `setDecorative(boolean value)`
    `UI5_ICONNode` | `setDecorative(java.lang.String value)`
    `UI5_ICONNode` | `setHeight(int value)`
    `UI5_ICONNode` | `setHeight(java.lang.String value)`
    `UI5_ICONNode` | `setHoverbackgroundcolor(java.lang.String value)`
    `UI5_ICONNode` | `setHovercolor(java.lang.String value)`
    `UI5_ICONNode` | `setId(java.lang.String value)`
    `UI5_ICONNode` | `setLayoutdata(java.lang.String value)`
    `UI5_ICONNode` | `setReference(java.lang.String value)`
    `UI5_ICONNode` | `setRendered(boolean value)`
    `UI5_ICONNode` | `setRendered(java.lang.String value)`
    `UI5_ICONNode` | `setSize(java.lang.String value)`
    `UI5_ICONNode` | `setSrc(java.lang.String value)`
    `UI5_ICONNode` | `setStyleseq(java.lang.String value)`
    `UI5_ICONNode` | `setStylevariant(java.lang.String value)`
    `UI5_ICONNode` | `setWidth(int value)`
    `UI5_ICONNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5_ICONNode

          public UI5_ICONNode()

  - ### Method Detail

    - #### setId

          public UI5_ICONNode setId(java.lang.String value)

    - #### setActionListener

          public UI5_ICONNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5_ICONNode bindActionListener(IActionListenerDelegation value)

    - #### setActivebackgroundcolor

          public UI5_ICONNode setActivebackgroundcolor(java.lang.String value)

    - #### bindActivebackgroundcolor

          public UI5_ICONNode bindActivebackgroundcolor(IDynamicContentBindingObject value)

    - #### setActivecolor

          public UI5_ICONNode setActivecolor(java.lang.String value)

    - #### bindActivecolor

          public UI5_ICONNode bindActivecolor(IDynamicContentBindingObject value)

    - #### setAdapterbinding

          public UI5_ICONNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5_ICONNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5_ICONNode setAttributemacro(java.lang.String value)

    - #### setBackgroundcolor

          public UI5_ICONNode setBackgroundcolor(java.lang.String value)

    - #### bindBackgroundcolor

          public UI5_ICONNode bindBackgroundcolor(IDynamicContentBindingObject value)

    - #### setColor

          public UI5_ICONNode setColor(java.lang.String value)

    - #### bindColor

          public UI5_ICONNode bindColor(IDynamicContentBindingObject value)

    - #### setComment

          public UI5_ICONNode setComment(java.lang.String value)

    - #### bindComment

          public UI5_ICONNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5_ICONNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5_ICONNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDecorative

          public UI5_ICONNode setDecorative(java.lang.String value)

    - #### bindDecorative

          public UI5_ICONNode bindDecorative(IDynamicContentBindingObject value)

    - #### setDecorative

          public UI5_ICONNode setDecorative(boolean value)

    - #### setHeight

          public UI5_ICONNode setHeight(java.lang.String value)

    - #### bindHeight

          public UI5_ICONNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public UI5_ICONNode setHeight(int value)

    - #### setHoverbackgroundcolor

          public UI5_ICONNode setHoverbackgroundcolor(java.lang.String value)

    - #### bindHoverbackgroundcolor

          public UI5_ICONNode bindHoverbackgroundcolor(IDynamicContentBindingObject value)

    - #### setHovercolor

          public UI5_ICONNode setHovercolor(java.lang.String value)

    - #### bindHovercolor

          public UI5_ICONNode bindHovercolor(IDynamicContentBindingObject value)

    - #### setLayoutdata

          public UI5_ICONNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5_ICONNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setReference

          public UI5_ICONNode setReference(java.lang.String value)

    - #### setRendered

          public UI5_ICONNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5_ICONNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5_ICONNode setRendered(boolean value)

    - #### setSize

          public UI5_ICONNode setSize(java.lang.String value)

    - #### bindSize

          public UI5_ICONNode bindSize(IDynamicContentBindingObject value)

    - #### setSrc

          public UI5_ICONNode setSrc(java.lang.String value)

    - #### bindSrc

          public UI5_ICONNode bindSrc(IDynamicContentBindingObject value)

    - #### setStyleseq

          public UI5_ICONNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5_ICONNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5_ICONNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5_ICONNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5_ICONNode setWidth(java.lang.String value)

    - #### bindWidth

          public UI5_ICONNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5_ICONNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.